Subject: Re: damn ^M s
From: [email-masked] (raf)

9 Nov 1997 18:14:45 -0800
Message-ID: <[email-masked]>
To: [email-masked]

>Joe Marzot wrote:
>> 
>> I have a tar file which I untar on a win32 machine - do a little
>> editting - then tar it back up and send it back to the unix
>> world. Unfortunately now it is full of ^M s. I checked the tar options
>> and gnuwin32 FAQ but have not found any way to get rid of the damn
>> things.

>Joe look on your unix box for a executable called dos2unix or d_to_u or
>something along those lines  the ^Ms are an effect from editting a file
>on a dos/fat then on a unix box.

>Aaron.

Warning: many people suggest:

    tr -d "\r" (short for TRanslate Delete carriage Returns)

as a way to convert from dos to unix. this only works on *pure* dos text files.
don't do this on a tar file as it may contain binary files within it.

don't do this blindly.

raf
---
Thought for the day:

    "If you had enough pieces of meat,
        you could build your own cow."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".